<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:p="http://www.springframework.org/schema/p" xmlns:context="http://www.springframework.org/schema/context"
        xmlns:jee="http://www.springframework.org/schema/jee" xmlns:tx="http://www.springframework.org/schema/tx" xmlns:aop="http://www.springframework.org/schema/aop"
        xsi:schemaLocation="
           http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
           http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-2.5.xsd
           http://www.springframework.org/schema/jee http://www.springframework.org/schema/jee/spring-jee-2.5.xsd
           http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-2.5.xsd
           http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-2.5.xsd">
    <context:annotation-config/>
    <tx:annotation-driven /> 
    <context:component-scan base-package="CoreFS" />
    <import resource="classpath:springjndiConfig.xml"/>
	<bean id="hessionService"
		class="CoreFS.SA01.CoreCommunicationService">
	</bean>
	<bean name="/HessianRemoting"
		class="CoreFS.SA01.CoreServiceExporter">
		<property name="service" ref="hessionService" />
		<property name="serviceInterface"
			value="CoreFS.SA06.CoreICommunicationService" />
	</bean>
	<bean id="hessionService1"
		class="CoreFS.SA08.CoreFileStorageImpl">
	</bean>
	
	<bean name="/HessianImageRemoting"
		class="org.springframework.remoting.caucho.HessianServiceExporter">
		<property name="service" ref="hessionService1" />
		<property name="serviceInterface"
			value="CoreFS.SA08.CoreFileStorage" />
	</bean>
	
	<bean id="tm" class="org.springframework.jdbc.datasource.DataSourceTransactionManager">  
        <property name="dataSource" ref="dataSource"/>
    </bean>
    <bean id="tm1" class="org.springframework.jdbc.datasource.DataSourceTransactionManager">  
        <property name="dataSource" ref="dataSource1"/>
    </bean>
</beans>